set(ARCHEUS_STD_LIBSSH_SSH_SOURCES
    packages/networking/libssh/ssh.c
)

function(libssh_check_and_init_needed _ARCHEUS_STD_FLAGS _ARCHEUS_STD_SOURCES ARCHEUS_STD_SSH_BACKEND)
    #add matching files for the selected backends
    if(${ARCHEUS_STD_SSH_BACKEND} STREQUAL "LIBSSH")
        string(APPEND ${_ARCHEUS_STD_FLAGS} "-lssh ")
        list(APPEND ${_ARCHEUS_STD_SOURCES} ${ARCHEUS_STD_LIBSSH_SSH_SOURCES})
    endif()

    set(${_ARCHEUS_STD_FLAGS} ${${_ARCHEUS_STD_FLAGS}} PARENT_SCOPE)
    set(${_ARCHEUS_STD_SOURCES} ${${_ARCHEUS_STD_SOURCES}} PARENT_SCOPE)
endfunction()
